module main

import cli
import os

fn main() {
	mut app := cli.Command{
		name:        'setup-browser'
		description: 'Set-up browsers from various sources'
		version:     '0.0.1'
		defaults:    struct {
			man:     false
			help:    true
			version: true
		}
	}

	app.execute = fn [app] (cmd cli.Command) ! {
		println(app.help_message())
		// cli.print_help_for_command(cmd) or { eprintln('failed to print help for command') }
		return
	}

	app.add_command(install_command)

	app.setup()
	app.parse(os.args)
}
